# Stopper

View Source: [moc-governance/contracts/Stopper/Stopper.sol](https://github.com/money-on-chain/main-RBTC-contract/blob/master-gitbook/moc-governance/contracts/Stopper/Stopper.sol)

**↗ Extends:** [**Ownable**](https://github.com/money-on-chain/main-RBTC-contract/blob/master-gitbook/docs/abis/Ownable.md) **↘ Derived Contracts:** [**MockStopper**](/main-rbtc-contract/smart-contracts/abis-documentation/mockstopper.md)

**Stopper** - version: 0.1.12

The contract in charge of handling the stoppability of the contract that define this contract as its stopper

## Contract Members

**Constants & Variables**

```js
uint256[50] private upgradeGap;
```

***

## Functions

* [pause(Stoppable activeContract)](#pause)
* [unpause(Stoppable pausedContract)](#unpause)

### pause

Pause activeContract if it is stoppable

```js
function pause(Stoppable activeContract) external nonpayable onlyOwner 
```

**Arguments**

| Name           | Type      | Description           |
| -------------- | --------- | --------------------- |
| activeContract | Stoppable | Contract to be paused |

### unpause

Unpause pausedContract if it is stoppable

```js
function unpause(Stoppable pausedContract) external nonpayable onlyOwner 
```

**Arguments**

| Name           | Type      | Description             |
| -------------- | --------- | ----------------------- |
| pausedContract | Stoppable | Contract to be unpaused |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moneyonchain.com/main-rbtc-contract/smart-contracts/abis-documentation/stopper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
